package bundlelocationextensionapp.extension;

import oracle.ide.Context;
import oracle.ide.controller.Controller;
import oracle.ide.controller.IdeAction;
import oracle.ide.extension.RegisteredByExtension;
import oracle.ide.log.LogManager;
import oracle.ide.log.LogWindow;

import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;


/**
 * Controller for action bundlelocationextensionapp.extension.logbundlelocationaction.
 */
@RegisteredByExtension("bundlelocationextensionapp.extension")
public final class LogBundleLocationActionController
	implements Controller
{
	public static final String LINE_SEPARATOR = System.getProperty("line.separator");

	public boolean update(IdeAction pIdeAction, Context pContext)
	{
		return true;
	}

	public boolean handleEvent(IdeAction pIdeAction, Context pContext)
	{
		Bundle vBundle = FrameworkUtil.getBundle(LogBundleLocationActionController.class);
		String vLocation = vBundle.getLocation();

		LogWindow vIdeLogWindow = LogManager.getIdeLogWindow();
		vIdeLogWindow.log("LogBundleLocationActionController : bundle location = "
			+ vLocation + LINE_SEPARATOR);
		return true;
	}
}
